org.eclipse.aether.transfer

## Class NoRepositoryConnectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.transfer.NoRepositoryConnectorException

- All Implemented Interfaces:
    Serializable

      public class NoRepositoryConnectorException
      extends RepositoryException

  Thrown in case of an unsupported remote repository type.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoRepositoryConnectorException(RemoteRepository repository)` Creates a new exception with the specified repository.
    `NoRepositoryConnectorException(RemoteRepository repository, String message)` Creates a new exception with the specified repository and detail message.
    `NoRepositoryConnectorException(RemoteRepository repository, String message, Throwable cause)` Creates a new exception with the specified repository, detail message and cause.
    `NoRepositoryConnectorException(RemoteRepository repository, Throwable cause)` Creates a new exception with the specified repository and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteRepository` | `getRepository()` Gets the remote repository whose content type is not supported.

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoRepositoryConnectorException

          public NoRepositoryConnectorException(RemoteRepository repository)

      Creates a new exception with the specified repository.
      Parameters:
        `repository` - The remote repository whose content type is not supported, may be `null`.

    - #### NoRepositoryConnectorException

          public NoRepositoryConnectorException(RemoteRepository repository,
                                        String message)

      Creates a new exception with the specified repository and detail message.
      Parameters:
        `repository` - The remote repository whose content type is not supported, may be `null`.
        `message` - The detail message, may be `null`.

    - #### NoRepositoryConnectorException

          public NoRepositoryConnectorException(RemoteRepository repository,
                                        Throwable cause)

      Creates a new exception with the specified repository and cause.
      Parameters:
        `repository` - The remote repository whose content type is not supported, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

    - #### NoRepositoryConnectorException

          public NoRepositoryConnectorException(RemoteRepository repository,
                                        String message,
                                        Throwable cause)

      Creates a new exception with the specified repository, detail message and cause.
      Parameters:
        `repository` - The remote repository whose content type is not supported, may be `null`.
        `message` - The detail message, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

  - ### Method Detail

    - #### getRepository

          public RemoteRepository getRepository()

      Gets the remote repository whose content type is not supported.
      Returns:
        The unsupported remote repository or `null` if unknown.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.